explain_setvbuf_or_die(3)

NAME
explain_setvbuf_or_die - stream buffering operations and report errors
    "stream buffering operations and report errors"

SYNOPSIS
#include <libexplain/setvbuf.h>

void explain_setvbuf_or_die(FILE *fp, char *data, int mode, size_t size);
int explain_setvbuf_on_error(FILE *fp, char *data, int mode, size_t size);

DESCRIPTION
The explain_setvbuf_or_die function is used to call the setvbuf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setvbuf(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_setvbuf_on_error function is used to call the setvbuf(3) system call. On failure an explanation will be printed to stderr, obtained from the explain_setvbuf(3) function, but still returns to the caller.

fp  The fp, exactly as to be passed to the setvbuf(3) system call.

data
    The data, exactly as to be passed to the setvbuf(3) system call.

mode
    The mode, exactly as to be passed to the setvbuf(3) system call.

size
    The size, exactly as to be passed to the setvbuf(3) system call.

RETURN VALUE
The explain_setvbuf_or_die function only returns on success, see setvbuf(3) for more information. On failure, prints an explanation and exits, it does not return.

The explain_setvbuf_on_error function always returns the value return by the wrapped setvbuf(3) system call.

EXAMPLE
The explain_setvbuf_or_die function is intended to be used in a fashion similar to the following example:
    explain_setvbuf_or_die(fp, data, mode, size);

SEE ALSO

setvbuf(3)
    stream buffering operations

explain_setvbuf(3)
    explain setvbuf(3) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.2
Copyright (C) 2010 Peter Miller